Redmine - Defect #16010

Not able to install mysql2.gem while installing redmine on windows 32 bit machine
2014-02-02 09:32 - Lajish Lakshmanan

Status: Closed Start date:

Priority: High Due date:

Assignee: % Done: 0%
Category: Gems support Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 242
Description

When | was trying to execute 'rake generate_secret_token' on win 7 32 but system, encountered with mySql2.gem dependency. So
executed undermentioned command but not able to install this gem. | am already done with Devkit & MySql connector stuffs. But still
unable to install this gem.

C:\Webserver\Redmine>gem install mysql2 -v0.3.15
Temporarily enhancing PATH to include DevKit...
Building native extensions. This could take a while...
ERROR: Error installing mysql2:

ERROR: Failed to build gem native extension.

e extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of necessary
libraries and/or headers. Check the mkmf.log file for more details. You may
need configuration options.

C:/Webserver/Ruby/bin/ruby.exe extconf.rb

checking for ruby/thread.h... yes

checking for rb_thread_call_without_gvl() in ruby/thread.h... yes
checking for rb_thread_blocking region()... yes
checking for rb_wait_for_single_fd()... yes
checking for rb_hash_dup()... yes

checking for rb_intern3()... yes

checking for mysqgl_query() in -lmysglclient... no
checking for main() in —-lm... yes

checking for mysql_query() in -lmysglclient... no
checking for main() in -1z... no

checking for mysgl_query() in -lmysglclient... no
checking for main() in -lsocket... no

checking for mysqgl_query() in —-lmysglclient... no
checking for main() in -lnsl... no

checking for mysqgl_query() in -lmysglclient... no
checking for main() in -lmygcc... no

checking for mysql_query() in -Ilmysglclient... no

Provided configuration options:
--with-opt-dir

--without-opt-dir

--with-opt-include
--without-opt-include=${opt-dir}/include
--with-opt-lib
--without-opt-lib=${opt-dir}/lib
--with-make-prog

--without-make-prog

--srcdir=.

--curdir
--ruby=C:/Webserver/Ruby/bin/ruby
--with-mysql-dir

--without-mysq|-dir
--with-mysql-include
--without-mysql-include=${mysql-dir}/include
--with-mysql-lib
--without-mysq|-lib=${mysql-dir}/
--with-mysql-config
--without-mysql-config
--with-mysql-dir
--without-mysql-dir
--with-mysql-include
--without-mysql-include=${mysql-dir}/include
--with-mysql-lib
--without-mysq|-lib=${mysql-dir}/
--with-mysqlclientlib
--without-mysqlclientlib
--with-mlib
--without-mlib
--with-mysqlclientlib
--without-mysqlclientlib
--with-zlib
--without-zlib
--with-mysqlclientlib
--without-mysqlclientlib
--with-socketlib
--without-socketlib
--with-mysqlclientlib
--without-mysqlclientlib
--with-nsllib
--without-nsllib
--with-mysqlclientlib
--without-mysqlclientlib
--with-mygcclib
--without-mygcclib
--with-mysqlclientlib
--without-mysqlclientlib

extconf failed, exit code 1

Gem files will remain installed in C:/Webserver/Ruby/lib/ruby/gems/2.0.0/gems/mysql2-0.3.15 for inspection.
Results logged to C:/Webserver/Ruby/lib/ruby/gems/2.0.0/extensions/x86-mingw32/2.0.0/mysql2-0.3.15/gem_make.out

Now what should | do get things simpler.

History

#1 - 2014-02-02 10:54 - Lajish Lakshmanan

Please also update the page regarding Redmine installation with Apache on Windows
http://www.redmine.org/projects/redmine/wiki/HowTo_lInstall_Redmine_in_a_sub-URI_on_Windows_with_Apache

Since it is very difficult to install Redmine for a newbie. Although redmine is very light weight application having versatile flexibility., but it lacks
simplicity in its installation due to various types of dependency. As | am a QA Engineer in an organization. | want to implement redmine as bug
tracking tool but unable to install due to above mentioned gem dependency. | searched out too many sites to get any solution for same but fails.

Please consider these issues while releasing next version of redmine.

#2 - 2014-02-06 19:14 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Invalid

| know that installing mysql2 gem on windows is not easy and Redmine can't do anything about that. I'm closing it anyway because you won't get
technical support here in the issue tracker. FWIW, you should consider using PostgreSQL instead, which is much easier to setup on windows.
